FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

fl_types.h File Reference

This file contains simple "C"-style type definitions. More...

Go to the source code of this file.

## Typedefs
Miscellaneous
typedef unsigned char | uchar
| unsigned char
typedef unsigned long | ulong
| unsigned long
typedef char * | Fl_String
| Flexible length utf8 Unicode text. More...
typedef const char * | Fl_CString
| Flexible length utf8 Unicode read-only string. More...
typedef unsigned int | Fl_Shortcut
| 24-bit Unicode character + 8-bit indicator for keyboard flags
typedef unsigned int | Fl_Char
| 24-bit Unicode character - upper 8-bits are unused

## Detailed Description

This file contains simple "C"-style type definitions.

## Typedef Documentation

typedef const char* Fl_CString

Flexible length utf8 Unicode read-only string.

See also
  Fl_String

typedef char* Fl_String

Flexible length utf8 Unicode text.

Todo:
  FIXME: temporary (?) typedef to mark UTF8 and Unicode conversions

- © 1998-2014 by Bill Spitzak and others.